Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1428 - xkb error with nfs-mounted /usr
Summary: xkb error with nfs-mounted /usr
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-05 14:09 UTC by a.hentz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 21:20:03 UTC


Attachments (Terms of Use)

Description a.hentz 1999-03-05 14:09:11 UTC
The X server writes a temporary file to
/usr/X11R6/lib/X11/xkb/compiled. Since we want to mount /usr
read-only (in accordance with the linux file system
standard, I guess), that directory should be  link to
somewhere in the /var subtree.

Comment 1 Preston Brown 1999-03-22 21:19:59 UTC
This will be fixed in XFree86-3.3.3.1-26 and later.
/usr/X11R6/lib/X11/xkb/compiled is now symlinked to /var/lib/xkb.
Thank you for the report.


Note You need to log in before you can comment on or make changes to this bug.